Summary:	Maintains identical copies of files on multiple machines
Name:		rdist
Version:	6.1.5
Release:	%mkrel 22
License:	BSD
Group:		Networking/File transfer
URL:		http://www.MagniComp.com/rdist
Source:		ftp://ftp.sunet.se/pub/unix/admin/mirror-magnicomp/download/rdist/rdist-%{version}.tar.bz2
Patch0:		rdist-6.1.5-linux.patch
Patch1:		rdist-6.1.5-links.patch
Patch2:		rdist-6.1.5-oldpath.patch
Patch3:		rdist-6.1.5-environ.patch
Patch4:		rdist-6.1.5-build-os-type-linux-is-not-svr4.patch
# tmpfile security fix
Patch5:		rdist-6.1.5-tmpfile.patch
Patch6:		rdist-6.1.5-optflags.patch
Patch7:		rdist-6.1.5-bison.patch
Patch8:		rdist-6.1.5-varargs.patch
BuildRequires:	bison
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The rdist program maintains identical copies of files on multiple hosts. If
possible, rdist will preserve the owner, group, mode and mtime of files and it
can update programs that are executing.

%prep

%setup -q
%patch0 -p1 -b .linux
%patch1 -p0 -b .links
%patch2 -p1 -b .oldpath
%patch3 -p0 -b .environ
%patch4 -p1 -b .ostype
%patch5 -p1 -b .tmpfile
%patch6 -p1 -b .optflags
%patch7 -p1 -b .bison
%patch8 -p1 -b .varargs

%build
%make

%install
rm -fr %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{_mandir}/{man1,man8}

install -s -m755 src/rdist %{buildroot}%{_bindir}
install -s -m755 src/rdistd %{buildroot}/%{_sbindir}
ln -sf ../sbin/rdistd %{buildroot}%{_bindir}/rdistd

install -m644 doc/rdist.man %{buildroot}/%{_mandir}/man1/rdist.1
install -m644 doc/rdistd.man %{buildroot}/%{_mandir}/man8/rdist.8

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*


%changelog
* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 6.1.5-22mdv2007.1
+ Revision: 145465
- Import rdist



* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 6.1.5-22mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 6.1.5-21mdk
- Rebuild

* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 6.1.5-20mdk
- added P7 & P9 from rawhide

* Tue Nov 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 6.1.5-19mdk
- Make it so as to use optimizations.

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 6.1.5-18mdk
- BuildRequires: bison

* Wed Jan 10 2001 Vincent Danen <baudens@mandrakesoft.com> 6.1.5-17mdk
- security fix for tmpfile problems

* Tue Dec 20 2000 David BAUDENS <baudens@mandrakesoft.com> 6.1.5-16mdk
- Fix build on Linux 2.4 (aka fix very buggy OS detection)

* Fri Dec 08 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 6.1.5-15mdk
- add a correct links patch. (wls@astro.umd.edu)

* Thu Oct 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 6.1.5-14mdk
- remove the patch 1 which was causing some problems apparently.

* Wed Jul 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 6.1.5-13mdk
- macroszifications
- BM

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.1.5-12mdk
- Be sure to keep the environnement variable.

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 6.1.5-11mdk
- Update group to new grousp

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update Url
- Enable SMP build/check

* Sun Jul  4 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip2 man pages not just rename them

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- add /usr/bin/rdistd symlink (#2154)
- update docs to reflect /usr/bin/oldrdist change.

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- use /usr/bin/oldrdist for old rdist compatibility path (#2044).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Feb 17 1999 Jeff Johnson <jbj@redhat.com>
- dynamic allocation for link info (#1046)

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 6.1.5

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- fixed the url to the source
- fixed the copyright field

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
